Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.model.analysisMetaModel
Interface MIFilter

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, MIAnalysisComponent, MIPlugin, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MFilter

    public interface MIFilter

extends MIPlugin

A representation of the model object 'Filter'.

The following features are supported:

- `Input Ports`

See Also:
  `MIAnalysisMetaModelPackage.getFilter()`
Generated:
Model:

Method Summary
`org.eclipse.emf.common.util.EList<MIInputPort>` | `getInputPorts()` Returns the value of the 'Input Ports' containment reference list.

Methods inherited from interface kieker.analysis.model.analysisMetaModel.MIPlugin
`getDisplays, getOutputPorts, getRepositories`

Methods inherited from interface kieker.analysis.model.analysisMetaModel.MIAnalysisComponent
`getClassname, getId, getName, getProperties, setClassname, setId, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getInputPorts

    org.eclipse.emf.common.util.EList<MIInputPort> getInputPorts()

  Returns the value of the 'Input Ports' containment reference list. The list contents are of type `MIInputPort`. It is bidirectional and its opposite is '`Parent`'.

  If the meaning of the 'Input Ports' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Input Ports' containment reference list.
  See Also:
    `MIAnalysisMetaModelPackage.getFilter_InputPorts()`, `MIInputPort.getParent()`
  Generated:
  Model:
    opposite="parent" containment="true"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net